<?php

/* For licensing terms, see /license.txt */
/**/
ini_set('display_errors',1);
ini_set('display_startup_errors',1);
error_reporting(E_ALL);

require_once __DIR__.'/../../main/inc/global.inc.php';

if(!api_is_anonymous()){
	$user = api_get_user_info();
	if(isset($user['status'])){
		if($user['status']==SESSIONADMIN||$user['status']==COURSEMANAGER||$user['status']==PLATFORM_ADMIN){
		}else{
			exit;
		}
	}
}else{
	exit;
}

require_once 'extraCom.php';

$plugin = extraCom::create();

$action = isset($_GET['action']) ? Security::remove_XSS($_GET['action']) : 'add';
$id = isset($_GET['id']) ? (int) $_GET['id'] : 0;

$form = new FormValidator('extraCom', 'post', 'extra-com-etape2.php'.'?action='.$action.'&id='.$id);

$form->addElement('static', '', '', '<center><img src="img/etape1.png" /></center>');

$TextFrom = $form->addText('FromMail','From',true);

$emailDest = '';

if(isset($_SESSION['FromMail'])){
	$emailDest = $_SESSION['FromMail'];
}
if($emailDest==''){
	$emailDest = api_get_setting('emailAdministrator');
}
$TextFrom->setValue($emailDest);

$Text = $form->addText('Object','Object',true);
if(isset($_SESSION['SendObject'])){
	$Text->setValue($_SESSION['SendObject']);
}

$Text2 = $form->addTextarea('Message','Message',['rows'=>13],true);
if(isset($_SESSION['SendMessage'])){
	$Text2->setValue($_SESSION['SendMessage']);
}

$Groups = listGroupID(50);	
$Groupsoptions = array("","");

foreach ($Groups as &$row){
	$Groupsoptions[$row['id']] = $row['name'];
}

$select = $form->addElement('select','groupslist','Send&nbsp;to',$Groupsoptions,false,array('id'=>'groupslist'));
if(isset($_SESSION['SendidGroup'])){
	$select->setValue($_SESSION['SendidGroup']);
}

$form->addButtonSave('Ok');

$htmlHeadXtra[] = '<script src="js/app.js" type="text/javascript" ></script>';

$tpl = new Template();//'extraCom'
$tpl->assign('form', $form->returnForm());

$content = $tpl->fetch('/extraCom/view/extracom.html.twig');
// Assign into content
$tpl->assign('content', $content);
// Display
$tpl->display_one_col_template();

function listGroupID($limit = 500)
{
	$limit = intval($limit);
	$sessionTable = Database::get_main_table(TABLE_USERGROUP);
	$columns = 'id, name';
	$conditions = array();
	if ($limit >0){
		$conditions = array(
			'order' => 'name',
			'limit' => $limit,
		);
	}
	
	return Database::select($columns, $sessionTable, $conditions);
	
}
