<?php

/* For licensing terms, see /license.txt */
/**/
ini_set('display_errors',1);
ini_set('display_startup_errors',1);
error_reporting(E_ALL);

require_once __DIR__.'/../../main/inc/global.inc.php';

if(!api_is_anonymous()){
	$user = api_get_user_info();
	if(isset($user['status'])){
		if($user['status']==SESSIONADMIN||$user['status']==COURSEMANAGER||$user['status']==PLATFORM_ADMIN){
		}else{
			exit;
		}
	}
}else{
	exit;
}

require_once 'extraCom.php';

$plugin = extraCom::create();

/*
$table = 'user';
$sql = "SELECT lastname,email FROM $table ORDER BY lastname";

$result = Database::query($sql);
$usersTable = Database::store_result($result, 'ASSOC');
*/

$idGroup = isset($_POST['groupslist']) ? Security::remove_XSS($_POST['groupslist']) : '-1';
$FromMail = isset($_POST['FromMail']) ? Security::remove_XSS($_POST['FromMail']) : '';
$Object = isset($_POST['Object']) ? Security::remove_XSS($_POST['Object']) : 'erreur';
$Message = isset($_POST['Message']) ? Security::remove_XSS($_POST['Message']) : 'erreur';

$_SESSION['SendObject'] = $Object;
$_SESSION['SendMessage'] = $Message;
$_SESSION['SendidGroup'] = $idGroup;
$_SESSION['FromMail'] = $FromMail;

$id = isset($_GET['id']) ? (int) $_GET['id'] : 0;

//Envoyer

$vue = <<<EOT
	SELECT CONCAT(lastname,'&nbsp;',firstname) as name , email FROM user
	INNER JOIN usergroup_rel_user ON usergroup_rel_user.user_id = user.id
	WHERE usergroup_id = $idGroup
EOT;

$allNames = '';
$nBcicle = 0;
$resultset = Database::query($vue);

while($row = Database::fetch_array($resultset)) {
	$allNames .= $row['name'].' , ';
	$nBcicle++;
}

$form = new FormValidator('extraCom', 'post','extra-com-etape3.php');

$form->addElement('static', '', '', '<center><img src="img/etape2.png" /></center>');

$form->addElement('static', '', '', '<div style="boder:solid 1px gray;" >'.$FromMail.'<br>'.$Object.'<br>'.$Message.'</div>');

$form->addElement('static', '', '', "<hr>");

$form->addElement('static', '', '', "<p>Envoi à $nBcicle personnes :</p>");

$form->addElement('static', '', '', '<div style="color:green;padding:10px;border:solid;" >'.$allNames.'</div>');

$form->addElement('static', '', '', '<a href="extra-com-etape1.php" class="btn btn-success">Retour</a>');

$form->addButtonSave('Envoyer');


$htmlHeadXtra[] = '<script src="js/app.js" type="text/javascript" ></script>';

$tpl = new Template();//'extraCom'
$tpl->assign('form', $form->returnForm());

$content = $tpl->fetch('/extraCom/view/extracom.html.twig');
// Assign into content
$tpl->assign('content', $content);
// Display
$tpl->display_one_col_template();


